Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QMutex

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QMutex class reference

### Public Functions

- bool locked () `(obsolete)`

## Member Function Documentation

### bool QMutex::locked ()

Returns true if the mutex is locked by another thread; otherwise returns false.

Warning: Due to differing implementations of recursive mutexes on various platforms, calling this function from the same thread that previously locked the mutex will return undefined results.

See also lock() and unlock().